<template>
  <div class="table-item">
    <p style="text-align: center;margin-bottom: 10px;">{{ entity.departLims }} {{ Number(entity.month.split('-')[1]) }} 月份员工互评打分表</p>
    <el-table
    :data="tableData"
    style="width: 100%" height="calc(100% - 20px)" v-loading="loading">
      <el-table-column
        type="index"
        label="序号"
        width="55">
      </el-table-column>
      <el-table-column label="姓名">
      </el-table-column>
      <el-table-column label="检测及时性">
        <el-table-column label="及时完成">
          <el-table-column label="20" width="90px">
            <template slot-scope="scope">
              <el-radio :label="20" v-model="scope.row.seasonable" @input="m=>handleChange(m,scope.row,'seasonable')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="催促完成">
          <el-table-column label="15" width="90px">
            <template slot-scope="scope">
              <el-radio :label="15" v-model="scope.row.seasonable" @input="m=>handleChange(m,scope.row,'seasonable')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="延期较长">
          <el-table-column label="10" width="90px">
            <template slot-scope="scope">
              <el-radio :label="10" v-model="scope.row.seasonable" @input="m=>handleChange(m,scope.row,'seasonable')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
      </el-table-column>
      <el-table-column label="检测准确性">
        <el-table-column label="全月无错">
          <el-table-column label="20" width="90px">
            <template slot-scope="scope">
              <el-radio :label="20" v-model="scope.row.exact" @input="m=>handleChange(m,scope.row,'exact')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="偶有失误">
          <el-table-column label="15" width="90px">
            <template slot-scope="scope">
              <el-radio :label="15" v-model="scope.row.exact" @input="m=>handleChange(m,scope.row,'exact')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="频繁错误">
          <el-table-column label="10" width="90px">
            <template slot-scope="scope">
              <el-radio :label="10" v-model="scope.row.exact" @input="m=>handleChange(m,scope.row,'exact')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
      </el-table-column>
      <el-table-column label="操作技能">
        <el-table-column label="操作熟练">
          <el-table-column label="20" width="90px">
            <template slot-scope="scope">
              <el-radio :label="20" v-model="scope.row.skill" @input="m=>handleChange(m,scope.row,'skill')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="操作基本熟练">
          <el-table-column label="15" width="120px">
            <template slot-scope="scope">
              <el-radio :label="15" v-model="scope.row.skill" @input="m=>handleChange(m,scope.row,'skill')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="需要指导">
          <el-table-column label="12" width="90px">
            <template slot-scope="scope">
              <el-radio :label="12" v-model="scope.row.skill" @input="m=>handleChange(m,scope.row,'skill')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
      </el-table-column>
      <el-table-column label="设备维护">
        <el-table-column label="自觉维护">
          <el-table-column label="10" width="90px">
            <template slot-scope="scope">
              <el-radio :label="10" v-model="scope.row.preserve" @input="m=>handleChange(m,scope.row,'preserve')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="能维护">
          <el-table-column label="5" width="80px">
            <template slot-scope="scope">
              <el-radio :label="5" v-model="scope.row.preserve" @input="m=>handleChange(m,scope.row,'preserve')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="无意识">
          <el-table-column label="2" width="80px">
            <template slot-scope="scope">
              <el-radio :label="2" v-model="scope.row.preserve" @input="m=>handleChange(m,scope.row,'preserve')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
      </el-table-column>
      <el-table-column label="遵章守纪">
        <el-table-column label="自觉遵守" >
          <el-table-column label="10" width="90px">
            <template slot-scope="scope">
              <el-radio :label="10" v-model="scope.row.discipline" @input="m=>handleChange(m,scope.row,'discipline')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="被动遵守">
          <el-table-column label="7" width="90px">
            <template slot-scope="scope">
              <el-radio :label="7" v-model="scope.row.discipline" @input="m=>handleChange(m,scope.row,'discipline')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="经常违纪">
          <el-table-column label="5" width="90px">
            <template slot-scope="scope">
              <el-radio :label="5" v-model="scope.row.discipline" @input="m=>handleChange(m,scope.row,'discipline')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
      </el-table-column>
      <el-table-column label="团结协作">
        <el-table-column label="团结协作">
          <el-table-column label="10" width="90px">
            <template slot-scope="scope">
              <el-radio :label="10" v-model="scope.row.solidarity" @input="m=>handleChange(m,scope.row,'solidarity')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="基本融洽">
          <el-table-column label="8" width="90px">
            <template slot-scope="scope">
              <el-radio :label="8" v-model="scope.row.solidarity" @input="m=>handleChange(m,scope.row,'solidarity')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
      </el-table-column>
      <el-table-column label="5S-3定">
        <el-table-column label="包干区整洁">
          <el-table-column label="10" width="110px">
            <template slot-scope="scope">
              <el-radio :label="10" v-model="scope.row.tidy" @input="m=>handleChange(m,scope.row,'tidy')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
        <el-table-column label="存在不清洁点">
          <el-table-column label="7" width="130px">
            <template slot-scope="scope">
              <el-radio :label="7" v-model="scope.row.tidy" @input="m=>handleChange(m,scope.row,'tidy')">{{ '' }}</el-radio>
            </template>
          </el-table-column>
        </el-table-column>
      </el-table-column>
      <el-table-column label="得分" fixed="right">
        <el-table-column label="100" width="70px" prop="total">
        </el-table-column>
      </el-table-column>
    </el-table>
  </div>
</template>

<script>
export default {
  props:{
    entity:Object,
  },
  data(){
    return{
      tableData:[],
      loading:false,
    }
  },
  created(){
    this.refreshTable()
  },
  methods:{
    handleChange(value,row,prop){
      row[prop] = Number(value)
      this.$axios.post(this.$api.evaluate.writeEvaluateGroup, {
        ...row
        },{
          headers: {
            'Content-Type': 'application/json'
          },
          noQs:true
        }).then(res => {
          row.total = res.data
        })
    },
    refreshTable(){
      this.loading = true
      this.$axios.post(this.$api.evaluate.getEvaluateGroup, {
          ...this.$parent.entity,
        },{
          headers: {
            'Content-Type': 'application/json'
          }
        }).then(res => {
          this.loading = false
          this.tableData = res.data
        })
    },
    refresh(){
      this.refreshTable()
    }
  }
}
</script>

<style scoped>
.table-item{
  width: 100%;
  height: 100%;
}
>>>.el-table--border th.el-table__cell, .el-table__fixed-right-patch{
  border-color: rgb(225, 223, 223);
}
>>>.el-table .cell, .el-table--border .el-table__cell .cell{
  text-align: center;
}
</style>
